#docker-compose.yml

version: "3.3"
services:

  bitwarden:
    image: vaultwarden/server
    logging:
      driver: loki
      options:
        loki-url: "http://localhost:3100/loki/api/v1/push"
    container_name: bitwarden
    volumes:
      - /home/icke/bw-data:/data
    environment:
      WEBSOCKET_ENABLED: "true"
      ADMIN_TOKEN: "gpwPpd1A60oWu6uSCCc6hIv8CtrPhuVC1rhqSBP3DmVGCUA9Q/vzKDOY8q+xxE1F"
      YUBICO_CLIENT_ID: "51442"
      YUBICO_SECRET_KEY: "RKirOdvbVwWMoY9V0FRHGLdGfjY="
    ports:
      - "81:80"
      - "3012:3012"
    restart: unless-stopped
    networks:
      bitwarden:
        ipv4_address: 172.22.0.2

networks:
  bitwarden:
    driver: bridge
    ipam:
     config:
       - subnet: 172.22.0.0/30
